@use "../abstract/" as abs;

.product{
    position: relative;

    &:hover &-desc{
        visibility: visible;
        opacity: 1;
    }

    &:hover &__img{
        opacity: .5;
    }
    

    &__img{
        width: 100%;
        transition: all .8s .5s;
    }

    &-desc{
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        background-color: transparentize(abs.color(secondary), .4);
        padding: 2rem;
        border: .1rem solid abs.color(primary);
        border-radius: .5rem;
        color: abs.color(primary);
        text-align: center;
        visibility: hidden;
        opacity: 0;
        transition: all .8s .5s;

        @include abs.respond(lg){
            padding: 1rem;
        }

        @include abs.respond(sm){
            background-color: transparent;
            border: none;
        }

        &__heading{
            font-size: abs.font-size(xl);

            @include abs.respond(lg) {
                font-size: abs.font-size(md);
            }

            @include abs.respond(sm) {
                display: none;
            }
        }

        &__price{
            font-size: abs.font-size(lg);
            font-weight: 300;
            margin: 1rem 0;

            @include abs.respond(lg) {
                font-size: abs.font-size(sm);
            }

            @include abs.respond(sm) {
                display: none;
            }
        }

        &__price > span{
            font-weight: 600;
        }
    }
}